package kz.arta.synergy.workflow.mobile.android.documents.resolution.models;

import java.io.Serializable;

/**
 * Created by neox on 16.09.14.
 * Описание резолюций для работы/документа
 */
public class ItemResolutionInfo implements Serializable {

    /**
     * Идентификатор проекта документа
     */
    private String projectID;

    /**
     * Статус текущей резолюции, 0 - сохраненная, 1 - принятая
     */
    private String statusID;

    /**
     * Есть ли право редактировать резолюцию
     */
    private String canEdit;

    /**
     * Является ли контрольным данный документ
     */
    private String controlled;

    /**
     * Имя автора
     */
    private String author;

    /**
     * Идентификатор автора
     */
    private String authorID;

    /**
     * Максимальная дата завершения для данного документа
     */
    private String maxFinishDate;

    /**
     * Список резолюций
     */
    private ItemResolution[] items;

    public String getMaxFinishDate() {
        return maxFinishDate;
    }

    public void setMaxFinishDate(String maxFinishDate) {
        this.maxFinishDate = maxFinishDate;
    }

    public String getAuthorID() {
        return authorID;
    }

    public void setAuthorID(String authorID) {
        this.authorID = authorID;
    }

    public String getControlled() {
        return controlled;
    }

    public void setControlled(String controlled) {
        this.controlled = controlled;
    }

    public String getProjectID() {
        return projectID;
    }

    public void setProjectID(String projectID) {
        this.projectID = projectID;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getStatusID() {
        return statusID;
    }

    public void setStatusID(String statusID) {
        this.statusID = statusID;
    }

    public String getCanEdit() {
        return canEdit;
    }

    public void setCanEdit(String canEdit) {
        this.canEdit = canEdit;
    }

    public ItemResolution[] getItems() {
        return items;
    }

    public void setItems(ItemResolution[] items) {
        this.items = items;
    }
}

